%!octave 
%
%    Hopfield ANN based associative memory demo
%
%       OS : GNU/Linux 3.12.0-1-ARCH 
% COMPILER : GNU Octave, version 3.8.0
%
%   AUTHOR : Evgeny S. Borisov
%
%  Glushkov Institute of Cybernetics
%  National Academy of Sciences of Ukraine
% 
%    http://www.mechanoid.kiev.ua
%  e-mail : nn@mechanoid.kiev.ua
% 
% $Id: ann_training.m,v 1.3 2014/05/28 06:37:42 mechanoid Exp mechanoid $

function retval=ann_training(X),
   w=X'*X ;
   % удаляем обратную связь нейрона на самого себя (обнуляем главную диагональ матрицы весов)
   w=w.*not( eye( size(w) ) ) ;
   retval=w;
endfunction

