%!octave 
%
%    Hopfield ANN based associative memory demo
%
%       OS : GNU/Linux 3.12.0-1-ARCH 
% COMPILER : GNU Octave, version 3.6.4
%
%   AUTHOR : Evgeny S. Borisov
%
%  Glushkov Institute of Cybernetics
%  National Academy of Sciences of Ukraine
% 
%    http://www.mechanoid.kiev.ua
%  e-mail : nn@mechanoid.kiev.ua
% 
% $Id: ann_test.m,v 1.2 2014/05/27 06:42:52 mechanoid Exp $


function retval=ann_test(X,w),
   m=size(X,1);

   for i=1:m,
      % загрузить образ
	  l=X(i,:) ;
	  % вычисляем выход сети
	  l=ann_run(w,l);
      % сохраняем результат
	  X(i,:)=l ;
   endfor
   retval=X;
endfunction

