%!octave 
%
%       OS : GNU/Linux 3.12.0-1-ARCH 
% COMPILER : GNU Octave, version 3.8.0
%
%   AUTHOR : Evgeny S. Borisov
%
%  Glushkov Institute of Cybernetics
%  National Academy of Sciences of Ukraine
% 
%    http://www.mechanoid.kiev.ua
%  e-mail : nn@mechanoid.kiev.ua
% 
% $Id: data_save.m,v 1.1 2014/05/26 07:27:05 mechanoid Exp $


% - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 
function retval=data_save(X,s,fl),
   % удаляем сдвиг
   X=X(:,2:end) ;
   m=size(X,1);
   for i=1:m,
	  xi=X(i,:) ;
	  img_save( xi, sprintf("result/%s",fl(i,:)), s ) ;
   endfor
   retval=0 ;
endfunction

% - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 
function retval=img_save(x,f,s),
   % преобразуем данные в [0,1]
   x=not(x+1);

   im=reshape(x,s) ;
   imwrite(im,f) ;
   retval=0 ;
endfunction

