#!/bin/sh
#
# $Id: run.sh,v 1.2 2014/05/28 06:37:42 mechanoid Exp mechanoid $



TRANING='data/31x17/training/';
TEST='data/31x17/test/';


# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -  



RESULT='result'

rm -vfr $RESULT REPORT.html
mkdir -p $RESULT

octave --silent --no-gui main.m "$TRANING" "$TEST"  2> $RESULT/err.txt


exec 1>$RESULT/REPORT.html

echo '<!doctype html>' 
echo '<html><head><meta charset="utf-8"/><style> img { border: 1px solid #00f; } hr { border:1px solid #000;} table {width:700px;} td:first-child { color:#f00; text-align:right; } td { text-align:center; } </style> </head><body>' 
echo '<h1>Ассоциативная память на основе сети Хопфилда</h1>' 

echo '<table><tr><td>учебный набор:</td>' 

for f in $TRANING/*.bmp; do
   echo "<td><img src='../$f'/></td>" 
done

echo '</tr></table><hr/><p/>'
echo '<table><tr><td>тестовый набор:</td>'

for f in $TEST/*.bmp; do
   echo "<td><img src='../$f'/></td>" 
done

echo '</tr><tr><td>результат работы:</td>'

for f in $RESULT/*.bmp; do
   echo "<td><img src='`basename $f`'/></td>" 
done

echo '</tr></table></body></html>'
